# Plugin FAQ

### What is this plugin? What does it do and why is it good?

* **The Answer Is:** This plugin brings an innovative system to the Lobby servers. Forget the old, outdated cosmetic plugins and create a new atmosphere that no one has ever experienced before.

### How does the plugin support multi servers?

* **The Answer Is:** If you are using MySQL, you can save your player-selected effects, abilities and server restarts, and if you have more than 1 Lobby server, you will have more flexibility and the saved settings will be preserved!

```yaml
storage:
  #  driver: h2 / sqlite / mysql
  driver: 'mysql' # Use MySQL
  host: 'database-host'
  port: '3306'
  name: 'database-name'
  username: 'database-username'
  password: 'database-password'

  pool: # HikariCP config (Do not edit if you do not know what it is)
    maximumPoolSize: 10
    minimumIdle: 5
    connectionTimeout: 30000
    maxLifetime: 1800000
    idleTimeout: 600000
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mongenscave.com/free-products/fungun/plugin-faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
